Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers
Interface TreeDriver

All Superinterfaces:
  ListDriver, MultiSelListDriver

All Known Implementing Classes:
  JTreeAPIDriver, JTreeMouseDriver

public interface TreeDriver
extends MultiSelListDriver

Defines how to work with trees.

Method Summary
`void` | `collapseItem(ComponentOperator oper, int index)` Collapses a node.
`void` | `editItem(ComponentOperator oper, int index, java.lang.Object newValue, Timeout waitEditorTime)` Edits a node.
`void` | `expandItem(ComponentOperator oper, int index)` Expandes a node.
`void` | `startEditing(ComponentOperator oper, int index, Timeout waitEditorTime)` Starts node editing.

Methods inherited from interface org.netbeans.jemmy.drivers.MultiSelListDriver
`selectItems`

Methods inherited from interface org.netbeans.jemmy.drivers.ListDriver
`selectItem`

Method Detail

### expandItem

    public void expandItem(ComponentOperator oper,
                           int index)

  Expandes a node.
  Parameters:
    `oper` - Tree operator.
    `index` - Node index.

### collapseItem

    public void collapseItem(ComponentOperator oper,
                             int index)

  Collapses a node.
  Parameters:
    `oper` - Tree operator.
    `index` - Node index.

### editItem

    public void editItem(ComponentOperator oper,
                         int index,
                         java.lang.Object newValue,
                         Timeout waitEditorTime)

  Edits a node.
  Parameters:
    `oper` - Tree operator.
    `index` - Node index.
    `newValue` - New node value
    `waitEditorTime` - Time to wait node editor.

### startEditing

    public void startEditing(ComponentOperator oper,
                             int index,
                             Timeout waitEditorTime)

  Starts node editing.
  Parameters:
    `oper` - Tree operator.
    `index` - Node index.
    `waitEditorTime` - Time to wait node editor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD